## repo 1.0

=== DESCRIPTION ===
Package: repo
Type: Package
Title: A Resource Manager for R Objects
Version: 1.0
Date: 2015-07-30
Author: Francesco Napolitano <franapoli@gmail.com>
Maintainer: Francesco Napolitano <franapoli@gmail.com>
Description: This is an R data manager meant to avoid manual storage/retrieval of R data to/from the file system. It builds one (or more) centralized repository where R objects are stored with annotations, tags, dependency notes, provenance traces. It also provides navigation tools to easily locate, load and edit previously stored resources.
License: GPL-3
Imports: digest, tools
Suggests: igraph, knitr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-08-03 09:51:19 UTC; ciccio
Repository: CRAN
Date/Publication: 2015-08-03 12:09:37

## repo 1.12.22

=== debian/changelog ===
repo (1.12.22-1) unstable; urgency=low

  * Initial Release (Closes: #792014)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 09 Jul 2015 23:37:57 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --without python --without python2

## repo 1.12.32

=== debian/changelog ===
repo (1.12.32-2) unstable; urgency=medium

  * add bash completion
  * manpage based on output of `repo help --all` (Closes: #806546)
  * document other sources of documentation
  * remove obsolete section from README.source

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 27 Dec 2015 23:25:16 +0100

repo (1.12.32-1) unstable; urgency=medium

  * New upstream release
  * Use get-orig-source to fetch upstream tarball

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 07 Dec 2015 11:59:59 +0800

=== debian/control ===
Source: repo
Section: devel
Priority: extra
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://source.android.com/source/developing.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/repo.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=android-tools/repo.git

Package: repo
Architecture: all
Depends: git (>= 1.7.2),
         gnupg,
         python,
         python-kerberos,
         ${misc:Depends}
Description: repository management tool built on top of git
 Repo is a repository management tool that the Android developers built on top
 of Git. Repo unifies the many Git repositories when necessary, does the
 uploads to the Android revision control system, and automates parts of the
 Android development workflow. Repo is not meant to replace Git, only to make
 it easier to work with Git in the context of Android. The repo command is an
 executable Python script that you can put anywhere in your path. In working
 with the Android source files, you will use Repo for across-network
 operations. For example, with a single Repo command you can download files
 from multiple repositories into your local working directory.
 .
 repo is an unusual tool because it downloads all of its own Python modules
 using GPG-signed git tags, and stores those files as part of the project that
 it is working with.  So this package just provides the wrapper script, which
 provides the GPG signing keys for verifying that the correct Python code was
 downloaded.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --without python --without python2

get-orig-source: v$(DEB_VERSION_UPSTREAM).tar.gz
	mk-origtargz --repack --compression xz $<

v$(DEB_VERSION_UPSTREAM).tar.gz:
	wget https://android.googlesource.com/tools/repo/+archive/$@

## repo 1.12.37

=== debian/changelog ===
repo (1.12.37-3ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
       + Add Breaks/Replaces on older versions of phablet-tools that used
         to also ship a /usr/bin/repo file. Can drop this delta after the
         next LTS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Mar 2017 16:09:54 +0100

repo (1.12.37-3) unstable; urgency=medium

  * install bash-completion with debhelper (Closes: #856417)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 28 Feb 2017 21:51:18 +0100

repo (1.12.37-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
       + Add Breaks/Replaces on older versions of phablet-tools that used
         to also ship a /usr/bin/repo file. Can drop this delta after the
         next LTS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Feb 2017 16:20:15 +0100

repo (1.12.37-2) unstable; urgency=medium

  * move to contrib, it violates policy 2.2.1 (Closes: #855846)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 24 Feb 2017 23:59:16 +0100

repo (1.12.37-1ubuntu1) zesty; urgency=medium

  * Merge from Debian Sid (LP: #1652686). Remaining changes:
    - debian/control:
       + Add Breaks/Replaces on older versions of phablet-tools that used
         to also ship a /usr/bin/repo file. Can drop this delta after the
         next LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 26 Dec 2016 15:37:57 -0600

repo (1.12.37-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 18 Dec 2016 21:45:53 +0100

repo (1.12.32-2ubuntu1) yakkety; urgency=medium

  * debian/control:
    - Add Breaks/Replaces on older versions of phablet-tools that used
      to also ship a /usr/bin/repo file.  Can drop this delta after the
      next LTS.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 30 Jun 2016 13:05:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: repo
-Section: devel
+Section: contrib/devel
 Priority: extra
-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), bash-completion
+Standards-Version: 3.9.8
 Homepage: https://source.android.com/source/developing.html
 Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/repo.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=android-tools/repo.git
@@ -16,6 +17,8 @@
          python,
          python-kerberos,
          ${misc:Depends}
+Replaces: phablet-tools (<< 1.2+16.10.20160629.1)
+Breaks: phablet-tools (<< 1.2+16.10.20160629.1)
 Description: repository management tool built on top of git
  Repo is a repository management tool that the Android developers built on top
  of Git. Repo unifies the many Git repositories when necessary, does the

## repo 1.13.2

=== debian/changelog ===
repo (1.13.2-1~bpo9+1) stretch-backports; urgency=medium

  * rebuild for stretch-backports

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 27 Jan 2019 00:18:12 +0100

repo (1.13.2-1) unstable; urgency=medium

  * New upstream version
  * Add basic autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 Jan 2019 20:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: repo
 Section: contrib/devel
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Build-Depends: debhelper (>= 9), bash-completion
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://source.android.com/source/developing.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/repo.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=android-tools/repo.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/repo.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/repo
 
 Package: repo
 Architecture: all
@@ -17,8 +16,6 @@
          python,
          python-kerberos,
          ${misc:Depends}
-Replaces: phablet-tools (<< 1.2+16.10.20160629.1)
-Breaks: phablet-tools (<< 1.2+16.10.20160629.1)
 Description: repository management tool built on top of git
  Repo is a repository management tool that the Android developers built on top
  of Git. Repo unifies the many Git repositories when necessary, does the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --without python --without python2 --with bash-completion

get-orig-source: v$(DEB_VERSION_UPSTREAM).tar.gz

v$(DEB_VERSION_UPSTREAM).tar.gz:
	wget https://android.googlesource.com/tools/repo/+archive/$@

=== debian/tests/control ===
Test-Command: (! repo help) && repo init --quiet --depth=1 -u https://android.googlesource.com/platform/manifest -b android-2.3.7_r1
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pagemangle=s%\">v%\.tar\.gz\">v%g;s%/\+/%/+archive/%g, \
      uversionmangle=s%\.\.tar\.gz%%, \
      filenamemangle=s%[\w\/]+\+archive\/v%@PACKAGE@-%" \
https://android.googlesource.com/tools/repo/+refs \
    [\w\/]+\+archive\/v([0-9\.]+)(\.tar\.gz) debian uupdate

## repo 1.13.7

=== debian/changelog ===
repo (1.13.7-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.13.7
  * Switch to Python 3  (Closes: #938352)
  * debian/copyright: Fix ordering of paragraphs
  * debian/control: Declare compliance with policy v4.4.1
  * Upgrade to dh compatibility level 12

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 18 Oct 2019 09:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 9), bash-completion
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), bash-completion
+Standards-Version: 4.4.1
 Homepage: https://source.android.com/source/developing.html
 Vcs-Git: https://salsa.debian.org/android-tools-team/repo.git
 Vcs-Browser: https://salsa.debian.org/android-tools-team/repo
@@ -13,8 +13,8 @@
 Architecture: all
 Depends: git (>= 1.7.2),
          gnupg,
-         python,
-         python-kerberos,
+         python3 (>= 3.6),
+         python3-kerberos,
          ${misc:Depends}
 Description: repository management tool built on top of git
  Repo is a repository management tool that the Android developers built on top

## repo 2.0.1

=== DESCRIPTION ===
Package: repo
Type: Package
Title: A Data-Centered Data Flow Manager
Version: 2.0.1
Date: 2016-05-02
Author: Francesco Napolitano <franapoli@gmail.com>
Maintainer: Francesco Napolitano <franapoli@gmail.com>
Description: A data manager meant to avoid manual storage/retrieval of
    data to/from the file system. It builds one (or more) centralized
    repository where R objects are stored with annotations, tags,
    dependency notes, provenance traces. It also provides navigation
    tools to easily locate, load and edit previously stored resources.
License: GPL-3
Imports: digest, tools
Suggests: igraph, knitr, shiny
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-05-02 15:39:32 UTC; ciccio
Repository: CRAN
Date/Publication: 2016-05-02 17:59:49

## repo 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: repo
 Type: Package
 Title: A Data-Centered Data Flow Manager
-Version: 2.0.1
+Version: 2.0.2
 Date: 2016-05-02
 Author: Francesco Napolitano <franapoli@gmail.com>
 Maintainer: Francesco Napolitano <franapoli@gmail.com>
@@ -16,6 +16,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-05-02 15:39:32 UTC; ciccio
+Packaged: 2016-05-02 17:03:53 UTC; ciccio
 Repository: CRAN
-Date/Publication: 2016-05-02 17:59:49
+Date/Publication: 2016-05-03 02:08:55

## repo 2.1.1

=== DESCRIPTION ===
Package: repo
Type: Package
Title: A Data-Centered Data Flow Manager
Version: 2.1.1
Date: 2017-09-13
Author: Francesco Napolitano <franapoli@gmail.com>
Maintainer: Francesco Napolitano <franapoli@gmail.com>
Description: A data manager meant to avoid manual storage/retrieval of
    data to/from the file system. It builds one (or more) centralized
    repository where R objects are stored with rich annotations,
    including corresponding code chunks, and easily searched and
    retrieved.
License: GPL-3
Imports: digest, tools
Suggests: igraph, knitr, shiny, testthat
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-09-13 21:39:35 UTC; ciccio
Repository: CRAN
Date/Publication: 2017-09-14 12:38:26 UTC

## repo 2.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: repo
 Type: Package
 Title: A Data-Centered Data Flow Manager
-Version: 2.1.1
-Date: 2017-09-13
+Version: 2.1.2
+Date: 2017-11-17
 Author: Francesco Napolitano <franapoli@gmail.com>
 Maintainer: Francesco Napolitano <franapoli@gmail.com>
 Description: A data manager meant to avoid manual storage/retrieval of
@@ -16,6 +16,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-09-13 21:39:35 UTC; ciccio
+Packaged: 2017-11-20 16:54:14 UTC; ciccio
 Repository: CRAN
-Date/Publication: 2017-09-14 12:38:26 UTC
+Date/Publication: 2017-11-27 10:54:51 UTC

## repo 2.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: repo
 Type: Package
 Title: A Data-Centered Data Flow Manager
-Version: 2.1.2
-Date: 2017-11-17
+Version: 2.1.3
+Date: 2018-5-4
 Author: Francesco Napolitano <franapoli@gmail.com>
 Maintainer: Francesco Napolitano <franapoli@gmail.com>
 Description: A data manager meant to avoid manual storage/retrieval of
@@ -16,6 +16,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-11-20 16:54:14 UTC; ciccio
+Packaged: 2018-05-16 16:14:32 UTC; ciccio
 Repository: CRAN
-Date/Publication: 2017-11-27 10:54:51 UTC
+Date/Publication: 2018-05-16 17:08:57 UTC

## repo 2.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: repo
 Type: Package
 Title: A Data-Centered Data Flow Manager
-Version: 2.1.3
-Date: 2018-5-4
+Version: 2.1.4
+Date: 2019-12-18
 Author: Francesco Napolitano <franapoli@gmail.com>
 Maintainer: Francesco Napolitano <franapoli@gmail.com>
 Description: A data manager meant to avoid manual storage/retrieval of
@@ -16,6 +16,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-05-16 16:14:32 UTC; ciccio
+Packaged: 2019-12-19 14:05:18 UTC; francesco
 Repository: CRAN
-Date/Publication: 2018-05-16 17:08:57 UTC
+Date/Publication: 2019-12-19 16:40:02 UTC

## repo 2.1.5

=== DESCRIPTION ===
Encoding: UTF-8
Package: repo
Type: Package
Title: A Data-Centered Data Flow Manager
Version: 2.1.5
Date: 2020-02-05
Author: Francesco Napolitano <franapoli@gmail.com>
Maintainer: Francesco Napolitano <franapoli@gmail.com>
Description: A data manager meant to avoid manual storage/retrieval of
    data to/from the file system. It builds one (or more) centralized
    repository where R objects are stored with rich annotations,
    including corresponding code chunks, and easily searched and
    retrieved. See Napolitano (2017) <doi:10.1037/a0028240> for further
    information.
License: GPL-3
Imports: digest, tools
Suggests: igraph, knitr, shiny, testthat
VignetteBuilder: knitr
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-02-08 09:25:56 UTC; ciccio
Repository: CRAN
Date/Publication: 2020-02-08 16:20:02 UTC

## repo 2.9

=== debian/changelog ===
repo (2.9-1) unstable; urgency=medium

  * New upstream version 2.9
  * debian/help2man/update-help:
    - Update the title of each manpages.
  * debian/*lintian-overrides:
    - Update manpages related stuff.
  * debian/patches:
    - Drop upstreamed patches.

 -- Roger Shimizu <rosh@debian.org>  Fri, 11 Sep 2020 01:57:40 +0900

repo (2.8-3) unstable; urgency=medium

  * debian/help2man:
    - Remove the additional footer of help2man generated manpages.
  * debian/patches:
    - Cherry-pick 0003 patch to fix typo.
    - Move upstreamed patches to d/patches/backport folder.
  * Update debian/help2man/repo-sync.1 to fix typo.

 -- Roger Shimizu <rosh@debian.org>  Wed, 01 Jul 2020 02:55:14 +0900

repo (2.8-2) unstable; urgency=medium

  * debian/patches:
    - Amend 0002 patch with the info from upstream, and it already
      got merged.
  * debian/help2man/update-help, debian/repo.manpages, debian/*.1:
    - Move generated manpages to debian/help2man directory.
    - Add more manpages of repo sub-commands.
  * debian/lintian-overrides:
    - Repo sub-commands don't have binary, so it's safe to add them
      into lintian-overrides.
  * debian/copyright:
    - Remove d/repo.1 section, since now we generate it by script.

 -- Roger Shimizu <rosh@debian.org>  Tue, 09 Jun 2020 00:53:32 +0900

repo (2.8-1) unstable; urgency=medium

  * New upstream version 2.8
  * Add script debian/help2man/update-help to genernate manpages.
  * debian/patches:
    - Add 0002 patch to fix typo in help.
  * debian/*.1:
    - Update manpages, generated from script.
  * debian/repo.manpages:
    - Add new manpages to install.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Jun 2020 03:10:13 +0900

repo (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * debian/control:
    - Add myself to uploaders.
    - Add dh-python and python3-setuptools as B-D.
  * debian/rules:
    - Use pybuild as buildsystem.
    - Disable dh_auto_test since it fails.
  * debian/patches:
    - Update the shebang patch to include all related scripts, so that
      we can safely drop dependency to python2.
  * debian/tests/control:
    - Update test command to include execution time output.

 -- Roger Shimizu <rosh@debian.org>  Sun, 10 May 2020 22:51:00 +0900

repo (1.13.7-2) unstable; urgency=medium

  * Team upload.
  * Change autopkgtest to not negate repo help return code.
    Thanks to Michel Le Bihan for merge-request on salsa.
    (Closes: #949461)
  * debian/control: Add Rules-Requires-Root: no
  * Add debian/upstream/metadata.
  * debian/tests/control: Add ca-certificates to dependency.

 -- Roger Shimizu <rosh@debian.org>  Fri, 08 May 2020 22:05:19 +0900

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,29 @@
 Section: contrib/devel
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper-compat (= 12), bash-completion
-Standards-Version: 4.4.1
+Uploaders:
+ Hans-Christoph Steiner <hans@eds.org>,
+ Roger Shimizu <rosh@debian.org>
+Build-Depends:
+ bash-completion,
+ debhelper-compat (= 12),
+ dh-python,
+ python3-all,
+ python3-setuptools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://source.android.com/source/developing.html
 Vcs-Git: https://salsa.debian.org/android-tools-team/repo.git
 Vcs-Browser: https://salsa.debian.org/android-tools-team/repo
 
 Package: repo
 Architecture: all
-Depends: git (>= 1.7.2),
-         gnupg,
-         python3 (>= 3.6),
-         python3-kerberos,
-         ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ git (>= 1.7.2),
+ gnupg,
+ python3-kerberos
 Description: repository management tool built on top of git
  Repo is a repository management tool that the Android developers built on top
  of Git. Repo unifies the many Git repositories when necessary, does the

=== debian/watch ===
version=4
opts="pagemangle=s%\">v%\.tar\.gz\">v%g;s%/\+/refs/tags/%/+archive/%g, \
      uversionmangle=s%\.\.tar\.gz%%, \
      filenamemangle=s%[\w\/]+\+archive\/v%@PACKAGE@-%" \
https://android.googlesource.com/tools/repo/+refs \
    [\w\/]+\+archive\/v([0-9\.]+)(\.tar\.gz) debian uupdate

## repo 2.12

=== debian/changelog ===
repo (2.12-1) unstable; urgency=medium

  * New upstream release 2.12
  * d/help2man/*.1: Update by script

 -- Roger Shimizu <rosh@debian.org>  Wed, 27 Jan 2021 02:12:14 +0900

repo (2.11.1-1) unstable; urgency=medium

  * New upstream release 2.11.1
  * debian/patches:
    - Refresh patches.
  * d/help2man/*.1: Update by script

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 Jan 2021 18:32:07 +0900

repo (2.10-1) unstable; urgency=medium

  * New upstream release v2.10
  * debian/control:
    - Bump up git depends version to 2.20
  * debian/patches:
    - Refresh python shebang patch.
    - Cherry-pick 2 patches from upstream to better support for python3.
  * debian/help2man:
    - Update manpages.

 -- Roger Shimizu <rosh@debian.org>  Thu, 03 Dec 2020 21:24:12 +0900

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- git (>= 1.7.2),
+ git (>= 1:2.20.0),
  gnupg,
  python3-kerberos
 Description: repository management tool built on top of git

=== debian/watch ===
version=4
opts="pagemangle=s%\">v%\.tar\.gz\">v%g;s%/\+/refs/tags/%/+archive/%g, \
      uversionmangle=s%\.\.tar\.gz%%, \
      filenamemangle=s%[\w\/]+\+archive\/v%@PACKAGE@-%" \
https://android.googlesource.com/tools/repo/+refs \
    [\w\/]+\+archive\/v([0-9\.]+)(\.tar\.gz)

## repo 2.15.4

=== debian/changelog ===
repo (2.15.4-2) unstable; urgency=medium

  * debian/help2man/update-help:
    - Run hep2man commands in parallel.
    - Make repo-branch manapge as symbolic link to repo-branches.

 -- Roger Shimizu <rosh@debian.org>  Sat, 26 Jun 2021 22:14:07 +0900

repo (2.15.4-1) unstable; urgency=medium

  * New upstream release 2.15.4
  * debian/help2man/update-help:
    - Don't use internet when running.
    - Use the exact version current using to generate manpages.
  * Update bash_completion for repo
  * debian/help2man/*.1:
    - Update manpages by script.
  * debian/control:
    - Add Recommends: git (>= 1:2.28.0), since superproject feature
      requires it.

 -- Roger Shimizu <rosh@debian.org>  Sun, 06 Jun 2021 17:11:41 +0900

repo (2.14.5-1) unstable; urgency=medium

  [ Manas Kashyap ]
  * Team upload

  [ Roger Shimizu ]
  * New upstream version 2.14.5 (Closes: #988176).
  * Update bash_completion for repo
  * debian/help2man/*.1:
    - Update manpages by script.

 -- Roger Shimizu <rosh@debian.org>  Sat, 15 May 2021 19:02:54 +0900

repo (2.13.8-1) unstable; urgency=medium

  * New upstream release 2.13.8
  * debian/watch:
    - Update filenamemangle rule.
  * debian/help2man/*.1:
    - Update manpages by script.

 -- Roger Shimizu <rosh@debian.org>  Sun, 25 Apr 2021 14:56:21 +0900

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,9 @@
  git (>= 1:2.20.0),
  gnupg,
  python3-kerberos
+Recommends:
+# superproject requires git 2.28
+ git (>= 1:2.28.0)
 Description: repository management tool built on top of git
  Repo is a repository management tool that the Android developers built on top
  of Git. Repo unifies the many Git repositories when necessary, does the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with bash-completion --with python3 --buildsystem=pybuild

get-orig-source: v$(DEB_VERSION_UPSTREAM).tar.gz

v$(DEB_VERSION_UPSTREAM).tar.gz:
	wget https://android.googlesource.com/tools/repo/+archive/$@

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: repo help && repo --time init -q --depth=1 -u https://android.googlesource.com/platform/manifest -b android-2.3.7_r1
Depends: @, ca-certificates
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pagemangle=s%\">v%\.tar\.gz\">v%g;s%/\+/refs/tags/%/+archive/%g, \
      uversionmangle=s%\.\.tar\.gz%%, \
      filenamemangle=s%[\w\/:\.]+\+archive\/v%@PACKAGE@-%" \
https://android.googlesource.com/tools/repo/+refs \
    [\w\/]+\+archive\/v([0-9\.]+)(\.tar\.gz)

## repo 2.17.3

=== debian/changelog ===
repo (2.17.3-3) unstable; urgency=medium

  * debian/tests:
    - Add python3-pytest as autopkgtest dependency.
  * debian/lintian-overrides:
    - Remove unused override.

 -- Roger Shimizu <rosh@debian.org>  Wed, 19 Jan 2022 19:40:00 +0900

repo (2.17.3-2) unstable; urgency=medium

  * debian/tests:
    - Add run_test to autopkgtest.

 -- Roger Shimizu <rosh@debian.org>  Sun, 16 Jan 2022 17:12:45 +0900

repo (2.17.3-1) unstable; urgency=medium

  * New upstream release v2.17.3
  * Remove debian/.gitlab-ci.yml
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Mon, 22 Nov 2021 21:20:52 +0900

repo (2.16.8-1) unstable; urgency=medium

  * New upstream release v2.16.8
  * Add debian/upstream/signing-key.asc
    - The key is from file repo.
  * debian/watch:
    - Check gpg key while download tag from git.
  * debian/rules:
    - Remove get-orig-source target since uscan is recommended now.
  * Cleanup debian/lintian-overrides and debian/upstream/metadata.

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Sep 2021 18:25:32 +0900

repo (2.16.5-1) unstable; urgency=medium

  * New upstream release 2.16.5
  * debian/patches:
    - Refresh patches.
  * Remove debian/source/lintian-overrides
    - Since now we don't have local copy of manpages.

 -- Roger Shimizu <rosh@debian.org>  Mon, 30 Aug 2021 01:05:33 +0900

repo (2.15.4-6) unstable; urgency=medium

  * debian/rules:
    - Add dummy email for git config on dh_auto_test,
      otherwise debian CI fails.

 -- Roger Shimizu <rosh@debian.org>  Mon, 02 Aug 2021 03:17:38 +0900

repo (2.15.4-5) unstable; urgency=medium

  * debian/rules:
    - Enable to run "run_test" script as dh_auto_test.
  * debian/control:
    - Add run_test dependencies to Build-Depends field.

 -- Roger Shimizu <rosh@debian.org>  Mon, 02 Aug 2021 01:52:48 +0900

repo (2.15.4-4) unstable; urgency=medium

  * debian/patches:
    - Cherry-pick upstream patch to make manpages system independent,
      which shows no CPU cores of build system.
    - Add patch to get version from d/changelog instead of .git folder.
  * debian/tests:
    - Add test command on new '--use-superproject' option.

 -- Roger Shimizu <rosh@debian.org>  Sat, 31 Jul 2021 16:36:26 +0900

repo (2.15.4-3) unstable; urgency=medium

  * debian/help2man:
    - Remove script and generated manpages in debian folder.
  * debian/patches:
    - Add upstreamed python script to generate manpages.
  * debian/rules:
    - Generate manpages when building.
  * debian/repo.manpages:
    - Update folder name for manpages.

 -- Roger Shimizu <rosh@debian.org>  Sun, 25 Jul 2021 22:53:53 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,11 @@
  bash-completion,
  debhelper-compat (= 12),
  dh-python,
+ git (>= 1:2.20.0),
+ gnupg,
+ help2man,
  python3-all,
+ python3-pytest,
  python3-setuptools
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: repo help && repo --time init -q --depth=1 -u https://android.googlesource.com/platform/manifest -b android-2.3.7_r1
Depends: @, ca-certificates
Restrictions: allow-stderr

Test-Command: rm -rf .repo && repo --time init -q --depth=1 --use-superproject -u https://android.googlesource.com/platform/manifest -b android-s-beta-2
Depends: @, ca-certificates, git (>= 1:2.28.0)
Restrictions: allow-stderr

Test-Command: debian/rules override_dh_auto_test
Depends: @, python3-pytest

## repo 2.28

=== debian/changelog ===
repo (2.28-1) unstable; urgency=medium

  * New upstream release v2.28

 -- Roger Shimizu <rosh@debian.org>  Tue, 02 Aug 2022 19:55:45 +0900

repo (2.22-1) unstable; urgency=medium

  * New upstream release v2.22

 -- Roger Shimizu <rosh@debian.org>  Wed, 29 Jun 2022 01:43:22 +0900

repo (2.21-1) unstable; urgency=medium

  * New upstream release v2.21
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 Apr 2022 03:04:11 +0900

repo (2.20-1~exp2) experimental; urgency=medium

  * Merge with debian verion: 2.17.3-3

 -- Roger Shimizu <rosh@debian.org>  Thu, 27 Jan 2022 03:15:53 +0900

repo (2.20-1~exp1) experimental; urgency=medium

  * New upstream release v2.20

 -- Roger Shimizu <rosh@debian.org>  Sun, 16 Jan 2022 01:22:00 +0900

## repo 2.31

=== debian/changelog ===
repo (2.31-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 18 Jan 2023 02:14:24 -0800

repo (2.31-1) unstable; urgency=medium

  * New upstream release v2.31 (Closes: #1027478).

 -- Roger Shimizu <rosh@debian.org>  Sat, 14 Jan 2023 01:10:31 -0800

repo (2.28-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Aug 2022 20:35:05 +0900

repo (2.22-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Roger Shimizu <rosh@debian.org>  Tue, 02 Aug 2022 19:01:00 +0900

## repo 2.35

=== debian/changelog ===
repo (2.35-2~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 09 Aug 2023 23:53:31 -0700

repo (2.35-2) unstable; urgency=medium

  * debian/patches: Add patch to remove black and flake8 check.
  * debian/control: Remove B-D: black.
  * debian/rules: Revert previous ignore test warning.

 -- Roger Shimizu <rosh@debian.org>  Tue, 01 Aug 2023 21:46:40 -0700

repo (2.35-1) unstable; urgency=medium

  * New upstream release v2.35
  * debian/patches: Refresh patches.
  * debian/control: Add B-D: black and python3-pytest-timeout.
  * debian/rules: Ignore test warning.

 -- Roger Shimizu <rosh@debian.org>  Tue, 01 Aug 2023 01:06:19 -0700

=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,5 @@
 Restrictions: allow-stderr
 
 Test-Command: debian/rules override_dh_auto_test
-Depends: @, python3-pytest
+Depends: @, python3-pytest, python3-pytest-timeout
+Restrictions: allow-stderr

## repo 2.36.1

=== debian/changelog ===
repo (2.36.1-1ubuntu0.1) noble; urgency=medium

  * replace deprecated utcnow() function in "repo" script. LP: #2115168

 -- Rolf Leggewie <foss@leggewie.org>  Mon, 23 Jun 2025 11:46:57 +0800

repo (2.36.1-1) unstable; urgency=medium

  * New upstream release v2.36.1
  * debian/tests/control: Cleanup.
  * Add debian/README.packaging.
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 03 Sep 2023 02:09:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: repo
 Section: contrib/devel
 Priority: optional
-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders:
  Hans-Christoph Steiner <hans@eds.org>,
  Roger Shimizu <rosh@debian.org>
@@ -14,6 +15,7 @@
  help2man,
  python3-all,
  python3-pytest,
+ python3-pytest-timeout,
  python3-setuptools
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with bash-completion --with python3 --buildsystem=pybuild

override_dh_auto_build:
	release/update-manpages
	dh_auto_build

override_dh_auto_test:
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR) git config --global user.name TestUser
	HOME=$(CURDIR) git config --global user.email '<>'
	HOME=$(CURDIR) ./run_tests -v
endif

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,3 @@
 
 Test-Command: debian/rules override_dh_auto_test
 Depends: @, python3-pytest, python3-pytest-timeout
-Restrictions: allow-stderr

## repo 2.45

=== debian/changelog ===
repo (2.45-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release v2.45
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Mar 2024 23:16:32 -0700

repo (2.40-1~exp1) experimental; urgency=medium

  * New upstream release v2.40
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Mar 2024 20:19:14 -0700

## repo 2.46

=== debian/changelog ===
repo (2.46-1) unstable; urgency=medium

  * New upstream release v2.46

 -- Roger Shimizu <rosh@debian.org>  Mon, 16 Sep 2024 01:25:59 -0700

## repo 2.50.1

=== debian/changelog ===
repo (2.50.1-1) unstable; urgency=medium

  * New upstream release v2.50.1

 -- Roger Shimizu <rosh@debian.org>  Sun, 22 Dec 2024 22:10:33 -0800

repo (2.48-1) unstable; urgency=medium

  * New upstream release v2.48

 -- Roger Shimizu <rosh@debian.org>  Tue, 05 Nov 2024 01:20:51 -0800

## repo 2.52

=== debian/changelog ===
repo (2.52-1) unstable; urgency=medium

  * New upstream release v2.52

 -- Roger Shimizu <rosh@debian.org>  Sun, 16 Mar 2025 01:00:43 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: repo
 Section: contrib/devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
+Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders:
  Hans-Christoph Steiner <hans@eds.org>,
  Roger Shimizu <rosh@debian.org>

## repo 2.54

=== debian/changelog ===
repo (2.54-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 23 May 2025 21:27:24 -0700

repo (2.54-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches:
    - Backport patch to address failing to fetch sha1 case.

 -- Roger Shimizu <rosh@debian.org>  Thu, 24 Apr 2025 00:47:29 -0700

repo (2.54-1~exp1) experimental; urgency=medium

  * New upstream release v2.54
  * debian/patches: Refresh patches.
  * debian/gbp.conf: Turn off pristine-tar.

 -- Roger Shimizu <rosh@debian.org>  Fri, 11 Apr 2025 20:38:16 -0700

## repo 2.58

=== debian/changelog ===
repo (2.58-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches: Amend patches to restore all tests.
    Two tests below in run_tests can be passed during build, but not
    autopkgtest, debian ci, nor salsa ci. So amend patch to enable all
    tests, but only remove them in debian/tests/control.
    - run_flake8
    - run_update_manpages

 -- Roger Shimizu <rosh@debian.org>  Tue, 09 Sep 2025 23:59:06 -0700

repo (2.58-4~exp2) experimental; urgency=medium

  * debian/patches: Amend patch to add back isort tests.

 -- Roger Shimizu <rosh@debian.org>  Sun, 07 Sep 2025 14:48:44 -0700

repo (2.58-4~exp1) experimental; urgency=medium

  * debian/patches: Amend patch to add back black tests.

 -- Roger Shimizu <rosh@debian.org>  Fri, 05 Sep 2025 02:02:38 -0700

repo (2.58-3) unstable; urgency=medium

  * debian/patches: Amend patch to remove update_manpages during tests.

 -- Roger Shimizu <rosh@debian.org>  Thu, 04 Sep 2025 00:50:16 -0700

repo (2.58-2) unstable; urgency=medium

  * debian/tests/control: Add Depends: help2man

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Aug 2025 19:53:54 -0700

repo (2.58-1) unstable; urgency=medium

  * New upstream release v2.58
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Aug 2025 01:44:35 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  gnupg,
  help2man,
  python3-all,
- python3-pytest,
+ python3-flake8-black,
+ python3-isort,
  python3-pytest-timeout,
  python3-setuptools
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,6 @@
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	HOME=$(CURDIR) git config --global user.name TestUser
 	HOME=$(CURDIR) git config --global user.email '<>'
+	HOME=$(CURDIR) git config -l
 	HOME=$(CURDIR) ./run_tests -v
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,27 @@
 Depends: @, ca-certificates, git (>= 1:2.28.0)
 Restrictions: allow-stderr
 
-Test-Command: debian/rules override_dh_auto_test
-Depends: @, python3-pytest, python3-pytest-timeout
+Test-Command: sed -i -e '/run_flake8,/d' -e '/run_update_manpages,/d' run_tests && debian/rules override_dh_auto_test
+Depends: @, python3-flake8-black, python3-isort, python3-pytest-timeout
+Restrictions: allow-stderr
+#
+# * Remove run_flake8 test: Seems like config .flake8 file is not exported to the CI environment.
+#   There're errors from Salsa CI / Debian CI:
+#
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:220:81: E501 line too long (82 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:222:81: E501 line too long (91 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:223:81: E501 line too long (86 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:224:81: E501 line too long (85 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:240:81: E501 line too long (92 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:241:81: E501 line too long (86 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:263:81: E501 line too long (91 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:274:81: E501 line too long (91 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:295:81: E501 line too long (82 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:296:81: E501 line too long (87 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:301:81: E501 line too long (106 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:331:81: E501 line too long (101 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:384:81: E501 line too long (82 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:386:81: E501 line too long (87 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:391:81: E501 line too long (106 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:426:81: E501 line too long (82 > 80 characters)
+#     /tmp/autopkgtest.ryLgNC/tree/.repo/repo/tests/test_git_superproject.py:449:81: E501 line too long (82 > 80 characters)

=== debian/watch ===
version=4
opts="mode=git, \
      pgpmode=gittag, \
      compression=xz" \
https://android.googlesource.com/tools/repo refs/tags/v([\d\.]+)

## repo clean-1.0.0

=== requirements.txt ===
# Core dependencies
requests>=2.25.0

# Development dependencies
pytest>=6.0
pytest-cov>=2.0
pytest-mock>=3.0
black>=21.0
flake8>=3.8
mypy>=0.800

# Build dependencies
build>=0.8.0
twine>=4.0.0
wheel>=0.37.0

## repo helper-2020.11.5.1

=== requirements.txt ===
apeye>=0.3.0
attrs>=20.2.0
click==7.1.2
configconfig>=0.3.0
consolekit>=0.1.2
css-parser==1.0.6
domdf-python-tools>=1.1.0
dulwich>=0.19.16
email_validator==1.1.1
isort>=5.0.0
jinja2>=2.11.2
packaging>=20.4
pre-commit>=2.7.1
ruamel.yaml>=0.16.12
southwark>=0.3.0
tomlkit>=0.7.0
trove_classifiers>=2020.10.21
typing_extensions>=3.7.4.3
yapf-isort>=0.3.3

## repo helper-2020.11.10

=== requirements.txt ===
apeye>=0.3.0
appdirs>=1.4.4
attrs>=20.2.0
click==7.1.2
configconfig>=0.4.0
consolekit>=0.2.0
css-parser==1.0.6
domdf-python-tools>=1.4.0
dulwich>=0.19.16
email-validator==1.1.2
isort>=5.0.0
jinja2>=2.11.2
packaging>=20.4
pre-commit>=2.7.1
ruamel-yaml>=0.16.12
shippinglabel>=0.1.0
southwark>=0.4.0
tomlkit>=0.7.0
trove-classifiers>=2020.10.21
typing-extensions>=3.7.4.3
yapf-isort>=0.3.3

## repo helper-2020.11.13

=== requirements.txt ===
apeye>=0.3.0
appdirs>=1.4.4
attrs>=20.2.0
click==7.1.2
configconfig>=0.4.0
consolekit>=0.2.0
css-parser==1.0.6
domdf-python-tools>=1.5.0
dulwich>=0.19.16
email-validator==1.1.2
isort>=5.0.0
jinja2>=2.11.2
packaging>=20.4
pre-commit>=2.7.1
ruamel-yaml>=0.16.12
shippinglabel>=0.3.2
southwark>=0.4.0
tomlkit>=0.7.0
typing-extensions>=3.7.4.3
yapf-isort>=0.3.3

## repo helper-2020.11.30

=== requirements.txt ===
apeye>=0.4.0
appdirs>=1.4.4
attrs>=20.2.0
click==7.1.2
configconfig>=0.4.0
consolekit>=0.5.0
css-parser==1.0.6
domdf-python-tools>=1.7.0
dulwich>=0.19.16
email-validator==1.1.2
isort>=5.0.0
jinja2>=2.11.2
natsort>=7.1.0
packaging>=20.4
pre-commit>=2.7.1
requests>=2.25.0
ruamel-yaml>=0.16.12
shippinglabel>=0.5.0
southwark>=0.6.0
tomlkit>=0.7.0
typing-extensions>=3.7.4.3
yapf-isort>=0.5.2

## repo helper-2020.12.15

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 configconfig>=0.4.0
 consolekit>=0.5.0
 css-parser==1.0.6
-domdf-python-tools>=1.7.0
+domdf-python-tools>=1.8.0
 dulwich>=0.19.16
 email-validator==1.1.2
 isort>=5.0.0
@@ -15,7 +15,7 @@
 pre-commit>=2.7.1
 requests>=2.25.0
 ruamel-yaml>=0.16.12
-shippinglabel>=0.5.0
+shippinglabel>=0.5.2
 southwark>=0.6.0
 tomlkit>=0.7.0
 typing-extensions>=3.7.4.3

## repo helper-2020.12.16

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 apeye>=0.4.0
-appdirs>=1.4.4
 attrs>=20.2.0
 click==7.1.2
 configconfig>=0.4.0
@@ -15,7 +14,7 @@
 pre-commit>=2.7.1
 requests>=2.25.0
 ruamel-yaml>=0.16.12
-shippinglabel>=0.5.2
+shippinglabel>=0.7.0
 southwark>=0.6.0
 tomlkit>=0.7.0
 typing-extensions>=3.7.4.3

## repo helper-2021.3.12

=== requirements.txt ===
apeye>=0.4.0
attrs>=20.2.0
click==7.1.2
configconfig>=0.5.0
consolekit>=1.0.0
dict2css>=0.2.0
domdf-python-tools>=2.7.0
dulwich>=0.19.16
email-validator==1.1.2
first>=2.0.2
idna==2.10
isort>=5.0.0
jinja2>=2.11.2
natsort>=7.1.0
packaging>=20.4
pre-commit>=2.7.1
ruamel-yaml>=0.16.12
shippinglabel>=0.8.2
southwark>=0.7.1
tabulate>=0.8.8
toml>=0.10.2
typing-extensions>=3.7.4.3
yapf-isort>=0.5.2

## repo helper-2021.3.31

=== requirements.txt ===
apeye>=0.4.0
attrs>=20.2.0
click==7.1.2
configconfig>=0.5.0
consolekit>=1.0.0
dict2css>=0.2.0
dom-toml>=0.2.2
domdf-python-tools>=2.7.0
dulwich>=0.19.16
email-validator==1.1.2
idna==2.10
isort>=5.0.0
jinja2>=2.11.2
mkrecipe>=0.1.2
natsort>=7.1.0
packaging>=20.4
ruamel-yaml>=0.16.12
shippinglabel>=0.8.2
southwark>=0.7.1
tabulate>=0.8.8
typing-extensions>=3.7.4.3
whey>=0.0.8
yapf-isort>=0.5.2

## repo helper-2021.6.13

=== requirements.txt ===
--- 
+++ 
@@ -8,16 +8,17 @@
 domdf-python-tools>=2.7.0
 dulwich>=0.19.16
 email-validator==1.1.2
+first>=2.0.2
 idna==2.10
 isort>=5.0.0
-jinja2>=2.11.2
+jinja2<3.0.0,>=2.11.2
 mkrecipe>=0.1.2
 natsort>=7.1.0
 packaging>=20.4
-ruamel-yaml>=0.16.12
+ruamel-yaml>=0.17.4
 shippinglabel>=0.8.2
 southwark>=0.7.1
 tabulate>=0.8.8
 typing-extensions>=3.7.4.3
-whey>=0.0.8
+whey>=0.0.14
 yapf-isort>=0.5.2
